Skip to content
Esc
↑↓navigate↵open⌘Jpreview

Bulk update translations

Updates multiple translation records in a single request with support for automatic redirect creation for slug changes

PUT/api/v1/{team_slug}/{app_slug}/translations/bulk
Authorization
AuthorizationBearer token · headerrequired

Management API token, sent as Authorization: Bearer <token>.

Path parameters
app_slugstringrequired

App slug

team_slugstringrequired

Team slug

Request body
requiredapplication/json

Translation data

Array of internal_pkg_webserver_v1.TranslationDTO
field_typegithub_com_enadhq_nabbit_internal_pkg_database.TranslationFieldTyperequired
Allowed:namevaluedescriptionalttitletypecopyrightslugmeta_titlemeta_descriptionhtml_descriptionshort_descriptionhtml_short_descriptionkey
idstring
language_codestringrequired
parent_refstringrequired
parent_typegithub_com_enadhq_nabbit_internal_pkg_database.TranslationTyperequired
Allowed:productproduct_bundleproduct_variantchannel_contentimageattributeattribute_valuecategorytagcollectionfilebundle_groupvideobrandvariant_group
translationstringrequired
Responses
200

Translation updates successfully

datastringrequired
detailsstring[]

Additional contextual information about the response. Used to provide supplementary details beyond the main data payload, such as validation warnings or processing notes

successbooleanrequired
400

Invalid request (e.g. bad UUID, validation error)

detailsstring[]
messagestring
successbooleanrequired
401

Unauthorized access

detailsstring[]
messagestring
successbooleanrequired
500

Internal server error

detailsstring[]
messagestring
successbooleanrequired
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X PUT 'https://api.enad.io/api/v1/string/string/translations/bulk' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '[
  {
    "field_type": "name",
    "id": "string",
    "language_code": "string",
    "parent_ref": "string",
    "parent_type": "product",
    "translation": "string"
  }
]'
Response
{
  "data": "string",
  "details": [
    "string"
  ],
  "success": true
}